Subject: RE: [Diffserv] need for clear definition of "assurance" in EF

From: "Manfredi, Albert E" <[email-masked]>
Date: Tue, 12 Dec 2000 16:54:17 -0500

Alper Demir wrote:

> Grenville Armitage wrote concisely:
>
> > the key behavior
> > provided by AF is three levels of drop precedence (quite useful
> > to TCP or TCP-like congestion control algorithms) while the behavior
> > desired of EF is predictably bounded delay variance (useful for
> > loss-intolerant or non-reactive apps).
>
> Grenville,
> I don't have any problem accepting the fact that what apps is more
> suitable for what PHBs. My point was that it doesn't seem 
> reasonable to
> relate "transport" protocols to them. I agree, there is a trend on
> that. It is a matter of choice that should be left to apps. I 
> understand
> your points.

I'm not so sure, Demir. It's virtually impossible for me to justify the
existence of EF separately from AF unless we have this Transport difference
as motivation. But with that motivation, the features required from EF, and
its purpose in life, become self evident. Not sure why you resist this?

In fact, EF also provides the protection to the rest of network traffic from
non-responsive traffic that Yoram Bernet was talking about in his recent
post.

And I would again suggest that a possible addition to EF, as in a second EF
class, would be to allow for some additional deterministic delay to the d(j)
- e(j) value.

So one class would offer the bounded delay variance with only propagation
delay and minimal, non-queue-related node delay as deterministic (minimum)
delay values, while the second class might add some deterministic queue
times to this.

Bert

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html